#!/bin/dash

if [ "$(uname -o)" = "Android" ]; then
    pkg upgrade
elif [ "$(uname -o)" = "GNU/Linux" ]; then
    [ "$(lsb_release -si)" = "Artix" ] && paru
    [ "$(lsb_release -si)" = "Fedora" ] && sudo dnf upgrade
fi

command -v flatpak >/dev/null 2>&1 && { echo; flatpak update; }
command -v npm >/dev/null 2>&1 && { echo; npm up -g; }
command -v docker >/dev/null 2>&1 && { echo; docker images | awk '(NR>1) && ($2!~/none/) {print $1":"$2}' | xargs -l docker pull; }

exit 0
